FAILLOG(8)

NAME
faillog - zeigt Aufzeichnungen der fehlgeschlagenen Anmeldungen an oder richtet Beschränkungen für fehlgeschlagene Anmeldungen ein

ÜBERSICHT

faillog [Optionen]

BESCHREIBUNG

faillog zeigt den Inhalt der Datenbank der fehlgeschlagenen Anmeldungen (/var/log/faillog) an. Es kann auch die Zählung und Beschränkung der Fehlversuche verwalten. Wenn faillog ohne Optionen ausgeführt wird, wird nur die Liste der fehlgeschlagenen Anmeldungen aller Benutzer angezeigt, deren Anmeldung jemals gescheitert ist.

OPTIONEN

Die Optionen, die vom Befehl faillog unterstützt werden, sind:

-a, --all
    zeigt (oder bearbeitet) die faillog-Einträge aller Benutzer, die einen Eintrag in der Datenbank faillog haben

    Die Spanne der Benutzer kann mit der Option -u eingegrenzt werden.

    Im Anzeigemodus ist dies auf vorhandene Benutzer beschränkt, erzwingt aber die Anzeige der Faillog-Einträge, auch wenn diese leer sind.

    Mit den Optionen -l, -m, -r und -t werden die Benutzereinträge selbst dann geändert, wenn der Benutzer auf dem System nicht vorhanden ist. Dies kann sinnvoll sein, wenn die Einträge von gelöschten Benutzer zurückgesetzt werden sollen oder vorsorglich eine Richtlinie für eine Anzahl von Benutzern eingerichtet werden soll.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-l, --lock-secs SEK
    sperrt nach einer fehlgeschlagenen Anmeldung das Konto für SEK Sekunden

    Für diese Option muss ein Schreibzugriff auf /var/log/faillog bestehen.

-m, --maximum MAX
    setzt den Zähler der fehlgeschlagene Anmeldungen, nach denen das Konto abgeschaltet wird, auf MAX

    Wenn MAX den Wert 0 hat, besteht keine Beschränkung für die Anzahl fehlgeschlagener Anmeldeversuche.

    Für root sollte der Wert der maximalen Anmeldeversuche immer 0 betragen, um eine durch einen Angriff ausgelöste Dienstverweigerung (denial of service) zu verhindern.

    Für diese Option muss ein Schreibzugriff auf /var/log/faillog bestehen.

-r, --reset
    setzt die Zählerstände der fehlgeschlagenen Anmeldeversuche zurück

    Für diese Option muss ein Schreibzugriff auf /var/log/faillog bestehen.

-R, --root CHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-t, --time TAGE
    zeigt die Einträge der fehlgeschlagenen Anmeldungen an, die aktueller als TAGE sind

-u, --user LOGIN|MENGE
    zeigt die Aufzeichnungen der fehlgeschlagenen Anmeldungen nur der angegebenen Benutzer an oder bearbeitet (wenn mit den Optionen -l, -m oder -r verwendet) nur deren Zählerstände und Beschränkungen

    Die Bestimmung der Benutzer erfolgt durch ihren Anmeldenamen, ihrer zahlenmäßigen Benutzer-ID oder einer MENGE von Benutzern. Diese MENGE kann mit Minimum- und Maximumwerten (UID_MIN-UID_MAX), nur mit einem Maximumwert (UID_MIN-UID_MAX) oder nur einem Minimumwert (UID_MIN-) bestimmt werden.

Wenn keine der Optionen -l, -m oder -r verwendet wird, zeigt faillog die Aufzeichnung der fehlgeschlagenen Anmeldeversuche der angegebenen Benutzer an.

WARNUNGEN

faillog zeigt nur die Benutzer an, die sich seit der letzten fehlgeschlagenen Anmeldung nicht erfolgreich anmelden konnten. Um die übrigen Benutzer anzuzeigen, müssen Sie diese explizit mit der Option -u benennen oder sich alle Benutzer mit der Option -a anzeigen lassen.

DATEIEN

/var/log/faillog
    Datei mit fehlgeschlagenen Anmeldungen

SIEHE AUCH

login(1), faillog(5).